Bug 1277823 - [upgrade] After upgrade from 3.5 to 3.6, probing a new 3.6 node is moving the peer to rejected state
[upgrade] After upgrade from 3.5 to 3.6, probing a new 3.6 node is moving the...
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Anand Nekkunti
Depends On: 1248895 1262793 1262805
Blocks: glusterfs-3.6.7
  Show dependency treegraph
Reported: 2015-11-04 02:14 EST by Anand Nekkunti
Modified: 2016-01-03 23:50 EST (History)
10 users (show)

See Also:
Fixed In Version: glusterfs-3.6.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1262805
Last Closed: 2015-12-02 03:25:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Nekkunti 2015-11-04 02:21:03 EST
patch: http://review.gluster.org/#/c/12500/1
Comment 2 Vijay Bellur 2015-11-18 07:43:56 EST
COMMIT: http://review.gluster.org/12500 committed in release-3.6 by Raghavendra Bhat (raghavendra@redhat.com) 
commit 89962044417e1d01a31dee72357d5ebcae0f44cb
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Mon Sep 14 17:09:29 2015 +0530

    glusterd: call glusterd_store_volinfo in bump up op-version
    After an upgrade, op-version is expected to be updated through gluster volume
    set. If the new version introduces any feature which changes volinfo structure
    without storing the default values of these new options would result into cksum
    Backport of:
    >Change-Id: I57b4667f3403839811735bf66bef29e5200a9241
    >BUG: 1262805
    >Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    >Reviewed-on: http://review.gluster.org/12171
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    >Reviewed-by: Gaurav Kumar Garg <ggarg@redhat.com>
    >(cherry picked from commit c3ed484af54e32c1ef2300cda652604d75dc9d20)
    Change-Id: I0c8d3cc7722b4a04e129c01792b80e27a7e8e59f
    BUG: 1277823
    Reviewed-on: http://review.gluster.org/12500
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
Comment 3 Raghavendra Bhat 2015-12-02 03:25:37 EST
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.7, please open a new bug report.

glusterfs-3.6.7 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://www.gluster.org/pipermail/gluster-devel/2015-December/047260.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.